[Overview][Types][Classes][Index] | Reference for unit 'zstream' (#fcl)

# Tcompressionstream.write

Write data to the stream

## Declaration

Source position: zstream.pp line 63

`public function Tcompressionstream.write(`
`const buffer;`
`count: LongInt`
`):LongInt; override;`

## Arguments

`buffer` |  | Buffer to take data from.
`count` |  | Number of bytes to take from the buffer.

## Function result

Number of (uncompressed) bytes actually written

## Description

Write takes Count bytes from Buffer and comresseses (deflates) them. The compressed result is written to the output stream.

## Errors

If an error occurs, an ECompressionError exception is raised.

## See also

Read |  | Overridden to raise an exception.
Seek |  | Overrides seek to raise an exception.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.